// priority: 0

// Visit the wiki for more info - https://kubejs.com/

console.info('Hello, World! (Loaded server scripts)')


ServerEvents.recipes(event => {
      event.shaped(
        Item.of('minecraft:stone_sword', 1), // arg 1: output
        [ 
          ' A ', 
          ' A ', // arg 2: the shape (array of strings)
          ' B '  
        ],
        {
          A: 'minecraft:stone', 
          B: 'minecraft:stick',  //arg 3: the mapping object
        }
      )
    
        event.shaped(
          Item.of('minecraft:stone_sword', 1), // arg 1: output
          [ 
            ' A ', 
            ' A ', // arg 2: the shape (array of strings)
            ' B '  
          ],
          {
            A: 'minecraft:blackstone', 
            B: 'minecraft:stick',  //arg 3: the mapping object
          }
        )
    
    
     
          event.shaped(
            Item.of('minecraft:stone_sword', 1), // arg 1: output
            [ 
              ' A ', 
              ' A ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:deepslate', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )
    
    
        
    
          event.shaped(
            Item.of('minecraft:stone_shovel', 1), // arg 1: output
            [ 
              ' A ', 
              ' B ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:stone', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )
    
          event.shaped(
            Item.of('minecraft:stone_shovel', 1), // arg 1: output
            [ 
              ' A ', 
              ' B ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:blackstone', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )
    
          event.shaped(
            Item.of('minecraft:stone_shovel', 1), // arg 1: output
            [ 
              ' A ', 
              ' B ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:deepslate', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )
    
    
    
          event.shaped(
            Item.of('minecraft:stone_pickaxe', 1), // arg 1: output
            [ 
              'AAA', 
              ' B ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:stone', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )
    
          event.shaped(
            Item.of('minecraft:stone_pickaxe', 1), // arg 1: output
            [ 
              'AAA', 
              ' B ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:blackstone', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )
    
    
          event.shaped(
            Item.of('minecraft:stone_pickaxe', 1), // arg 1: output
            [ 
              'AAA', 
              ' B ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:deepslate', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )

          event.shaped(
            Item.of('minecraft:stone_axe', 1), // arg 1: output
            [ 
              'AA ', 
              'AB ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:stone', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )
    
          event.shaped(
            Item.of('minecraft:stone_axe', 1), // arg 1: output
            [ 
              'AA ', 
              'AB ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:blackstone', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )
    
    
          event.shaped(
            Item.of('minecraft:stone_axe', 1), // arg 1: output
            [ 
              'AA ', 
              'AB ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:deepslate', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )
    
    
          event.shaped(
            Item.of('minecraft:stone_hoe', 1), // arg 1: output
            [ 
              'AA ', 
              ' B ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:stone', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )
    
    
          event.shaped(
            Item.of('minecraft:stone_hoe', 1), // arg 1: output
            [ 
              'AA ', 
              ' B ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:blackstone', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )
    
    
          event.shaped(
            Item.of('minecraft:stone_hoe', 1), // arg 1: output
            [ 
              'AA ', 
              ' B ', // arg 2: the shape (array of strings)
              ' B '  
            ],
            {
              A: 'minecraft:deepslate', 
              B: 'minecraft:stick',  //arg 3: the mapping object
            }
          )
    
          
        

      

      

    console.log('Hello! The recipe event has fired!')
})


   
